Pecl installation problems with xampp

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Pecl installation problems with xampp

Postby naxis » 24. June 2005 22:17

I have been having trouble installing PECL externtions... everytime I try this happens:

[root@god bin]# ./pear install radius
downloading radius-1.2.4.tgz ...
Starting to download radius-1.2.4.tgz (29,599 bytes)
.........done: 29,599 bytes
16 source files, building
running: phpize
Configuring for:
PHP Api Version: 20031224
Zend Module Api No: 20041030
Zend Extension Api No: 220040412
`phpize' failed
[root@god bin]# ./pear install crack
downloading crack-0.2.tgz ...
Starting to download crack-0.2.tgz (6,364 bytes)
.....done: 6,364 bytes
5 source files, building
running: phpize
Configuring for:
PHP Api Version: 20031224
Zend Module Api No: 20041030
Zend Extension Api No: 220040412
`phpize' failed

I doesn't matter what I try, no PECL works... Though all pear packages work just fine. I'm using RHFC 3. There are other installations of pear and webservers on this computer, but I have disabled them from running and I'm sure I'm using the pear from the lampp bin.

Anyone have any ideas?
naxis
 
Posts: 3
Joined: 21. June 2005 01:00

Postby mimicol » 02. May 2006 21:46

I have the same problem on:
FC4
XAMPP for Linux 1.5 [2005-11-02]
PHP 4.4.1
Pear works fine

Anyone have the solution or some idea ?
mimicol
 
Posts: 5
Joined: 22. March 2006 18:23
Location: Paris - FRANCE

Postby capitalfellow » 09. May 2006 15:46

i don't have access to my FC3 box with XAMPP at the moment I'll look at it tonight.
User avatar
capitalfellow
 
Posts: 60
Joined: 19. July 2005 01:10
Location: Charlotte, NC USA
Operating System: OS X

Postby mimicol » 09. May 2006 17:43

Thank you,
For me, it will be tomorrow :)
mimicol
 
Posts: 5
Joined: 22. March 2006 18:23
Location: Paris - FRANCE

Postby capitalfellow » 10. May 2006 19:29

Looks like a bug but I'm not sure if there's a way to have pecl log to a file for more detail. It looks like you have to have an include directory with the PHP source available. Here's what I saw on FC3:

[root@localhost bin]# pwd
/opt/lampp/bin

[root@localhost bin]# which pecl
/opt/lampp/bin/pecl

[root@localhost logs]# pecl -v install crack
downloading crack-0.4.tgz ...
Starting to download crack-0.4.tgz (25,524 bytes)
.........done: 25,524 bytes
md5sum ok: /opt/lampp/lib/php/doc/crack/libcrack/HISTORY
md5sum ok: /opt/lampp/lib/php/doc/crack/libcrack/LICENCE
md5sum ok: /opt/lampp/lib/php/doc/crack/libcrack/MANIFEST
md5sum ok: /opt/lampp/lib/php/doc/crack/libcrack/POSTER
md5sum ok: /opt/lampp/lib/php/doc/crack/libcrack/README
md5sum ok: /opt/lampp/lib/php/test/crack/tests/001.phpt
md5sum ok: /opt/lampp/lib/php/doc/crack/CREDITS
md5sum ok: /opt/lampp/lib/php/doc/crack/EXPERIMENTAL
17 source files, building
building in /tmp/tmpYAkeG4/crack-0.4
running: phpize
grep: /opt/lampp/include/php/main/php.h: No such file or directory
grep: /opt/lampp/include/php/Zend/zend_modules.h: No such file or directory
grep: /opt/lampp/include/php/Zend/zend_extensions.h: No such file or directory
Configuring for:
PHP Api Version:
Zend Module Api No:
Zend Extension Api No:
rolling back 24 file operations
ERROR: `phpize' failed

any of the AF mods around to look at this?
User avatar
capitalfellow
 
Posts: 60
Joined: 19. July 2005 01:10
Location: Charlotte, NC USA
Operating System: OS X

same problem

Postby discovery » 20. July 2006 22:07

hi,
i see no PECL package can be installed .. i am using the latest version 1.53a XAMPP on FC5... any solutions?? work around ? :?:
discovery
 
Posts: 3
Joined: 20. July 2006 21:25

Postby Sgt.Nops » 15. December 2006 23:17

Maybe i found a solution...

For this :
grep: /opt/lampp/include/php/main/php.h: No such file or directory
grep: /opt/lampp/include/php/Zend/zend_modules.h: No such file or directory
grep: /opt/lampp/include/php/Zend/zend_extensions.h: No such file or directory


Install the development package of xampp.

For the phpize error try the following:
(i used it to install the PDO package)
Code: Select all
/opt/lampp/bin/pecl -v install PDO

It should download the module, try to install it and stop whith the "phpize" error.
In the output now look for something like this:
Code: Select all
...
12 source files, building
building in /tmp/pear/cache/PDO-1.0.3
...

cd to the directory and do this:
Code: Select all
/opt/lampp/bin/phpize-x.x.x

The x.x.x depends on the version of php you use.
Maybe u shoul look in /opt/lampp/bin
for the versions of phpize that are available.
(in my case it was phpize-5.2.0)
Stay in this directory and finally type
Code: Select all
/opt/lampp/bin/pecl -v install PDO

it should now install .
At least it did for me :-)
btw. I had no time to test the functionality of the module, maybe tomorrow.
Mein Name ist Nops
Wer mich ärgert geht hops
Natürlich nur des Reimes wegen
Bitte sich nicht aufzuregen ;-)
Sgt.Nops
 
Posts: 1
Joined: 15. December 2006 22:15


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 6 guests